%define anolis_release 2

Name:           pixman
Version:        0.40.0
Release:        %{anolis_release}%{?dist}
Summary:        Pixel manipulation library

License:        MIT
URL:            https://gitlab.freedesktop.org/pixman/pixman
# To make git snapshots:
# ./make-pixman-snapshot.sh 8ff7213f39edc1b2b8b60d6b0cc5d5f14ca1928d
# if no revision specified, makes a new one from HEAD.
Source0:        https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz
Source1:        make-pixman-snapshot.sh

BuildRequires:  gcc
BuildRequires:  meson

%description
Pixman is a pixel manipulation library for X and Cairo.

%package devel
Summary: Pixel manipulation library development package
Requires: %{name}%{?isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
Development library for pixman.

%prep
%autosetup -p1
# bump up the test suite timeout because arm
sed -i 's/120/600/' test/meson.build

%build
%meson --auto-features=auto \
%ifarch %{arm}
  -Diwmmxt=disabled -Diwmmxt2=false \
%endif
  %nil

%meson_build

%install
%meson_install

%generate_compatibility_deps

%check
%meson_test

%ldconfig_post
%ldconfig_postun

%files
%dir %{abidir}
%doc COPYING
%{_libdir}/libpixman-1*.so.*
%{abidir}/libpixman-1*.dump

%files devel
%dir %{_includedir}/pixman-1
%{_includedir}/pixman-1/pixman.h
%{_includedir}/pixman-1/pixman-version.h
%{_libdir}/libpixman-1*.so
%{_libdir}/pkgconfig/pixman-1.pc

%changelog
* Fri Oct 14 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.40.0-2
- optimise spec file

* Mon Apr 18 2022 zhang xianting <zhangxianting@uniontech.com> - 0.40.0-1
- Initial build for Anolis V23
